- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Array Struct Reference
Array

Type for an array of data. More...

## Data Fields
int | version
| Should match EINA_ARRAY_VERSION used when compiled your apps, provided for ABI compatibility.
void ** | data
| Pointer to a vector of pointer to payload.
unsigned int | total
| Total number of slots in the vector.
unsigned int | count
| Number of active slots in the vector.
unsigned int | step
| How much must we grow the vector when it is full.

## Detailed Description

Type for an array of data.

Examples:
  eina_accessor_01.c, eina_array_01.c, eina_array_02.c, eina_iterator_01.c, and eina_simple_xml_parser_01.c.